package cn.fw.shirasawa.rpc.ehr.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 人员基本信息
 *
 * @author kruisu
 **/
@Data
public class StaffInfoDTO {
    /**
     * 用户id
     */
    private Long id;

    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 工号
     */
    private Long jobNo;

    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;

    /**
     * 婚姻状况
     */
    private Integer maritalStatus;

    /**
     * 文化程度
     */
    private Integer eduLevel;

    /**
     * 姓名
     */
    private String name;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 微信二维码
     */
    private String wxQrCode;

    /**
     * 身份证号
     */
    private String idNumber;

    /**
     * 性别1男2女
     */
    private Integer gender;

    /**
     * 出生日期
     */
    private Date birthday;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 银行卡
     */
    private String bankCard;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 地址
     */
    private String address;

    /**
     * 入职时间
     */
    private Date entryDate;

    /**
     * 转正时间
     */
    private Date regularDate;

    /**
     * 离职时间
     */
    private Date leaveDate;

    /**
     * 员工状态 1试用期2在职3待离职9离职
     */
    private Integer staffStatus;

    /**
     * 基本工资
     */
    private BigDecimal baseSalary;

}
