package cn.fw.shirasawa.rpc.erp.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 岗位用户信息
 * <p>
 * create at 2019-03-09
 *
 * @author kurisu
 */
@Data
public class PostUserDTO implements Serializable {
    private static final long serialVersionUID = -6108591548534160178L;
    /**
     * 用户角色id
     */
    private Long id;

    /**
     * 上级用户角色id
     */
    private Long pid;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 用户姓名
     */
    private Long roleId;

    /**
     * 用户姓名
     */
    private String roleCode;

    /**
     * 角色名称
     */
    private String roleName;
}
