package cn.fw.shirasawa.rpc.oop.dto;

import lombok.Data;

import java.math.BigDecimal;

/**
 * fw-cas
 * <p>
 * create at 2019-11-19
 *
 * @author kurisu
 */
@Data
public class GroupDTO {
    /**
     * 集团id
     */
    private Long id;
    /**
     * 集团名称
     */
    private String groupName;

    /**
     * 集团logo
     */
    private String groupLogo;

    /**
     * 集团电话号码
     */
    private String tel;

    /**
     * 集团地址
     */
    private String addr;

    /**
     * 经纬度
     */
    private BigDecimal lat;

    /**
     * 经纬度
     */
    private BigDecimal lng;

    /**
     * 集团状态
     */
    private Integer status;

    /**
     * 集团备注
     */
    private String remark;
}
