package cn.fw.shirasawa.service.event;

import cn.fw.shirasawa.domain.db.follow.FollowRecord;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author : kurisu
 * @className : RecordCompleteEvent
 * @description : 完成跟进的事件
 * @date: 2022-01-12 11:19
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class RecordCompleteEvent {
    private FollowRecord record;
    private Long clueId;
}
