drop table follow_setting;

drop table follow_setting_detail;

drop table follow_notice_record;



alter table follow_record
    add secondary tinyint(1) default 0 not null comment '二次分配' after shop_id;

alter table follow_record
    add customer_name varchar(255) null comment '客户名称' after customer_id;

alter table follow_record
    add contacts varchar(64) default '' not null comment '联系方式' after customer_name;

alter table follow_record
    modify biz_id varchar(150) null comment '业务id e.g: 活动ID/编号 vin等' after note;

alter table follow_record
    add plate_no varchar(64) null comment '车牌号' after biz_id;

alter table follow_record
    modify compel_tel tinyint(1) default 0 null comment '本次是否强制电话  1-是 0-否' after plate_no;

alter table follow_record
    modify yn tinyint(1) default 1 null comment '有效状态 1:有效 0：无效' after compel_tel;

alter table clue_pool
    add contacts varchar(32) null comment '联系方式' after note;
alter table follow_record
    add biz_type int(3) null comment '业态类型' after task_id;
alter table follow_record
    add member_id bigint null comment '会员id' after customer_name;

alter table follow_task
    add plate_no varchar(32) null comment '车牌号' after customer_name;

alter table follow_task
    add biz_type int(3) null comment '业态类型 1:售前 2:售后' after type;

alter table original_data
    add contacts varchar(32) null comment '联系方式（事故车用）' after frame_no;

alter table clue_pool
    modify customer_id bigint null comment '档案id（售前非空）';

alter table follow_task
    modify customer_id bigint null comment '客户id（售前非空）';

alter table original_data
    modify customer_id bigint null comment '档案id（售前非空）';

alter table follow_record
    modify customer_id bigint null comment '档案id（售前非空）';

alter table original_data
    add customer_name varchar(128) null comment '档案名称' after customer_id;

alter table clue_pool
    add customer_name varchar(128) null comment '档案名称' after customer_id;

create index follow_record_biz_id_index
    on follow_record (biz_id);

create index follow_record_biz_type_index
    on follow_record (biz_type);

create index follow_record_plan_time_index
    on follow_record (plan_time);

create index follow_record_plate_no_index
    on follow_record (plate_no);

create index follow_task_clue_id_index
    on follow_task (clue_id);
create index clue_pool_frame_no_index
    on clue_pool (frame_no);

