package cn.fw.shirasawa.domain.dto;

import cn.fw.shirasawa.domain.enums.FollowTypeEnum;
import cn.fw.shirasawa.sdk.enums.BusinessTypeEnum;
import lombok.Data;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : FollowTaskCompleteDTO
 * @description : 跟进任务完成dto
 * @date: 2022-01-13 10:36
 */
@Data
@ToString
public class FollowTaskCompleteDTO {
    /**
     * 数据类型
     */
    private FollowTypeEnum followType;

    /**
     * 业态类型
     */
    private BusinessTypeEnum bizType;
    /**
     * 业务id
     */
    private String detailId;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 完成时间
     */
    private Date completeTime;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 人员id
     */
    private Long userId;
    /**
     * 人员名称
     */
    private String userName;
}
