package cn.fw.shirasawa.domain.dto;

import cn.fw.shirasawa.domain.enums.FollowTypeEnum;
import cn.fw.shirasawa.sdk.enums.BusinessTypeEnum;
import lombok.Data;
import lombok.ToString;

/**
 * @author : kurisu
 * @className : FollowTerminationDTO
 * @description : 跟进终止dto
 * @date: 2022-01-13 14:45
 */
@Data
@ToString
public class FollowTerminationDTO {
    private FollowTypeEnum followType;
    private BusinessTypeEnum bizType;
    /**
     * 业务id
     */
    private String detailId;
    /**
     * 跟进人员id
     */
    private Long userId;
}
