package cn.fw.shirasawa.domain.dto;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : kurisu
 * @className : SecretReportHistoryDTO
 * @description :
 * @date: 2021-02-21 15:47
 */
@Data
public class SecretReportHistoryDTO {
    private Long id;
    /**
     * 任务id
     */
    private Long taskId;
    /**
     * 跟进类型
     */
    private Integer followType;
    /**
     * 跟进id
     */
    private Long followRecordId;
    /**
     * 是否首次通话（针对跟进任务来说）
     */
    private Boolean firstCall;
    /**
     * 通话id
     */
    private String callId;
    /**
     * 工作人员id
     */
    private Long staffId;
    /**
     * 工作人员名称
     */
    private String staffName;
    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 呼叫类型
     */
    private Integer dialType;
    /**
     * 呼叫时间
     */
    private LocalDateTime callTime;
    /**
     * 通话时长
     */
    private Long callDuration;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 集团id
     */
    private Long groupId;
}
