package cn.fw.shirasawa.domain.vo.follow;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * @author : kurisu
 * @className : ACDetailVO
 * @description : 事故车跟进详情
 * @date: 2020-08-17 15:17
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class ACDetailVO extends FollowDetailVO {
    /**
     * 车架号
     */
    private String vin;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 是否需要上传录音附件
     */
    private Boolean recordingAttachment;
    /**
     * 报案手机号
     */
    private String reportMobile;
    /**
     * 所属门店
     */
    private Long shopId;
    /**
     * 所属门店
     */
    private String shopName;
    /**
     * 短信详情
     */
    private String sms;
}
