package cn.fw.shirasawa.domain.vo.follow;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.LocalDateTime;

/**
 * @author : kurisu
 * @className : FMDetailVO
 * @description : 首保跟进详情
 * @date: 2020-08-17 15:17
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class FMDetailVO extends FollowDetailVO {
    /**
     * 车架号
     */
    private String vin;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 专属顾问
     */
    private String adviserName;
    /**
     * 购车日期
     */
    private LocalDateTime buyDate;
    /**
     * 首保到期时间
     */
    private LocalDateTime FMExpiration;
}
