package cn.fw.shirasawa.domain.vo.follow;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.LocalDateTime;

/**
 * @author : kurisu
 * @className : RMDetailVO
 * @description : 流失客户跟进详情
 * @date: 2020-08-17 15:17
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class RMDetailVO extends FollowDetailVO {
    /**
     * 车架号
     */
    private String vin;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 专属顾问
     */
    private String adviserName;
    /**
     * 上次里程 万公里
     */
    private Integer lastMileage;
    /**
     * 上次进站时间
     */
    private LocalDateTime deliveryTime;
}
