package cn.fw.shirasawa.domain.vo.pool;

import lombok.Data;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : CluePoolVO
 * @description : 线索池
 * @date: 2020-11-19 17:27
 */
@Data
@ToString
public class CluePoolVO {
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 线索类型
     */
    private Integer type;
    private Date addTime;
    /**
     * 线索创建时间
     */
    private Date createDate;
    /**
     * 线索到期时间
     */
    private Date deadline;
    /**
     * 线索状态
     */
    private Integer status;
    /**
     * 成交人员
     */
    private String finishUser;
    /**
     * 成交门店
     */
    private String finishShop;
    /**
     * 初始跟进人名称
     */
    private String originalUser;
    /**
     * 初始跟进门店名称
     */
    private String originalShop;
    /**
     * 关单时间
     */
    private Date closeTime;
}
