package cn.fw.shirasawa.rpc.member.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 会员信息
 * <p>
 * create at 2019-05-09
 *
 * @author kurisu
 */
@Data
public class MemberUserDTO implements Serializable {
    private static final long serialVersionUID = 2363764577624856885L;
    private Long userId;
    private String cardNo;
    private String realName;
    private String nickName;
    private String phone;
    private Integer sex;
    private Date birthday;
    private Integer credentType;
    private String credentNo;
    private Integer education;
    private Integer maritalStatus;
    private String email;
    private Integer registerSrc;
    private String province;
    private String city;
    private String area;
    private String detailAddress;
    private String zip;
    private String image;
    private Long dealerId;
    private Long groupId;
    private Long shopId;
    private Date createTime;
}
