package cn.fw.shirasawa.sdk.mq;

import lombok.Data;

/**
 * 跟进审批成功结果mq
 *
 * @author : kurisu
 * @version : 1.0
 * @className : FollowApproveDTO
 * @description : 跟进审批成功结果mq
 * @date : 2022-07-22 16:17
 */
@Data
public class FollowApproveDTO {
    public static final String FOLLOW_APPROVE_TOPIC = "follow_approve_succeed";
    /**
     * 车架号
     */
    private String vin;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 跟进类型
     * @see cn.fw.shirasawa.sdk.enums.DataTypeEnum
     */
    private Integer type;
}
