package cn.fw.shirasawa.service.data.impl;

import cn.fw.shirasawa.dao.mapper.ApproveRecordMapper;
import cn.fw.shirasawa.domain.db.ApproveRecord;
import cn.fw.shirasawa.service.data.ApproveRecordService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author : kurisu
 * @className : AccidentPoolServiceImpl
 * @description : 事故池
 * @date: 2020-08-12 11:22
 */
@Slf4j
@Service
public class ApproveRecordServiceImpl extends ServiceImpl<ApproveRecordMapper, ApproveRecord> implements ApproveRecordService {
    @Override
    public ApproveRecord getByOrderNo(String orderNo) {
        return getOne(Wrappers.<ApproveRecord>lambdaQuery()
                .eq(ApproveRecord::getOrderNo, orderNo)
        );
    }
}
