package cn.fw.shirasawa.service.event;

import cn.fw.shirasawa.domain.enums.FollowTypeEnum;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author : kurisu
 * @className : SettingChangeEvent
 * @description : 设置改变后的事件
 * @date: 2020-08-18 16:19
 */
@Data
@AllArgsConstructor
public class SettingChangeEvent {
    private FollowTypeEnum type;
    private Long groupId;
}
